Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang
Class StringBuffer

    java.lang.Object
      |
      +--java.lang.StringBuffer

public final synchronized class StringBuffer
extends Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`StringBuffer()`
`StringBuffer(int)`
`StringBuffer(String)`

Method Summary
`StringBuffer` | `append(boolean)`
`StringBuffer` | `append(char)`
`StringBuffer` | `append(char[])`
`StringBuffer` | `append(char[], int, int)`
`StringBuffer` | `append(double)`
`StringBuffer` | `append(float)`
`StringBuffer` | `append(int)`
`StringBuffer` | `append(long)`
`StringBuffer` | `append(Object)`
`StringBuffer` | `append(String)`
`int` | `capacity()`
`char` | `charAt(int)`
`StringBuffer` | `delete(int, int)`
`StringBuffer` | `deleteCharAt(int)`
`void` | `ensureCapacity(int)`
`void` | `getChars(int, int, char[], int)`
`StringBuffer` | `insert(int, boolean)`
`StringBuffer` | `insert(int, char)`
`StringBuffer` | `insert(int, char[])`
`StringBuffer` | `insert(int, char[], int, int)`
`StringBuffer` | `insert(int, double)`
`StringBuffer` | `insert(int, float)`
`StringBuffer` | `insert(int, int)`
`StringBuffer` | `insert(int, long)`
`StringBuffer` | `insert(int, Object)`
`StringBuffer` | `insert(int, String)`
`int` | `length()`
`StringBuffer` | `replace(int, int, String)`
`StringBuffer` | `reverse()`
`void` | `setCharAt(int, char)`
`void` | `setLength(int)`
`String` | `substring(int)`
`String` | `substring(int, int)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StringBuffer

    public StringBuffer()

### StringBuffer

    public StringBuffer(int)

### StringBuffer

    public StringBuffer(String)

Method Detail

### append

    public StringBuffer append(char)

### append

    public StringBuffer append(double)

### append

    public StringBuffer append(float)

### append

    public StringBuffer append(int)

### append

    public StringBuffer append(long)

### append

    public StringBuffer append(Object)

### append

    public StringBuffer append(String)

### append

    public StringBuffer append(boolean)

### append

    public StringBuffer append(char[])

### append

    public StringBuffer append(char[],
                               int,
                               int)

### capacity

    public int capacity()

### charAt

    public char charAt(int)

### delete

    public StringBuffer delete(int,
                               int)

### deleteCharAt

    public StringBuffer deleteCharAt(int)

### ensureCapacity

    public void ensureCapacity(int)

### getChars

    public void getChars(int,
                         int,
                         char[],
                         int)

### insert

    public StringBuffer insert(int,
                               char)

### insert

    public StringBuffer insert(int,
                               double)

### insert

    public StringBuffer insert(int,
                               float)

### insert

    public StringBuffer insert(int,
                               int)

### insert

    public StringBuffer insert(int,
                               long)

### insert

    public StringBuffer insert(int,
                               Object)

### insert

    public StringBuffer insert(int,
                               String)

### insert

    public StringBuffer insert(int,
                               boolean)

### insert

    public StringBuffer insert(int,
                               char[])

### insert

    public StringBuffer insert(int,
                               char[],
                               int,
                               int)

### length

    public int length()

### replace

    public StringBuffer replace(int,
                                int,
                                String)

### reverse

    public StringBuffer reverse()

### setCharAt

    public void setCharAt(int,
                          char)

### setLength

    public void setLength(int)

### substring

    public String substring(int)

### substring

    public String substring(int,
                            int)

### toString

    public String toString()

  Overrides:
    toString in class Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1995-2000 The Cryptix Foundation Ltd. All rights reserved.